<mat-card>
    <mat-card-content>
        <h2>Log In</h2>
        <mat-form-field>
            <input matInput [(ngModel)]="inputUser" placeholder="User:">
        </mat-form-field>
        <mat-form-field>
            <input matInput [(ngModel)]="inputPassword" type="password" placeholder="Password:">
        </mat-form-field>
        <mat-form-field appearance="fill">
            <mat-label>Select room</mat-label>
            <mat-select [(value)]="selectedRoom" required>
                <mat-option *ngFor="let room of rooms" [value]="room">
                    {{room}}
                </mat-option>
            </mat-select>
        </mat-form-field>
        <button mat-raised-button color={{colorlogin}} class='login' (mouseover)="colorlogin='basic'"
            (mouseout)="colorlogin='primary'" (click)="login()">Login</button>
        <br>
        <br>
        <button mat-raised-button color={{colorreg}} class='login' (mouseover)="colorreg='basic'"
            (mouseout)="colorreg='primary'" (click)="register()">Register</button>
        <h4>{{responseLabel}}</h4>
    </mat-card-content>
</mat-card>